/*
 File: c_commentssym.cpp
 Date and Time: Fri Jan 30 18:55:05 2015 
*/
#include "c_comments.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_c_comments;// grammar's ns
// first set terminals
yacco2::THR _YACCO2_CALL_TYPE
NS_c_comments::TH_c_comments(yacco2::Parser* Caller_pp){
  yacco2::Thread_entry& pp_thread_entry = ITH_c_comments;
  NS_c_comments::Cc_comments Cc_comments_;// parallel-parser's parse table
#define ssPARSE_TABLE Cc_comments_
#include "wpp_core.h"
}
THR_result _YACCO2_CALL_TYPE
NS_c_comments::PROC_TH_c_comments(yacco2::Parser* Caller_pp){
  char called_proc_name[] = "PROC_TH_c_comments";
  static bool one_time(false);
  static NS_c_comments::Cc_comments* NS_c_comments_Cc_comments_(0);// parallel-parser's fsm table
  static Parser* NS_c_comments_Cc_comments_parser(0);
  Parser* proc_parser(0);
  if(one_time == false){
    one_time = true;
    NS_c_comments_Cc_comments_ = new NS_c_comments::Cc_comments();// parallel-parser's fsm table
    NS_c_comments_Cc_comments_parser = new Parser(*NS_c_comments_Cc_comments_,Caller_pp);
  }
 proc_parser = NS_c_comments_Cc_comments_parser;
#include "wproc_pp_core.h"
}
void 
Cc_comments::reduce_rhs_of_rule
    (yacco2::UINT Sub_rule_no,yacco2::Rule_s_reuse_entry** Recycled_rule){
   int reducing_rule = rhs_to_rules_mapping_[Sub_rule_no];
   Per_rule_s_reuse_table* rule_reuse_tbl_ptr = 
        fsm_rules_reuse_table.per_rule_s_table_[reducing_rule];
   Rule_s_reuse_entry* re(0);
   find_a_recycled_rule(rule_reuse_tbl_ptr,&re);
   (*Recycled_rule) = re;
   fnd_re: switch (Sub_rule_no){
    case rhs1_Rc_comments_:{
       Rc_comments* sym;
     if(re->rule_ == 0){
       sym = new Rc_comments(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rc_comments*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->op();
     return;}
    case rhs2_Rc_comments_:{
       Rc_comments* sym;
     if(re->rule_ == 0){
       sym = new Rc_comments(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rc_comments*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->op();
     return;}
    case rhs1_Rslash_asterisk_:{
       Rslash_asterisk* sym;
     if(re->rule_ == 0){
       sym = new Rslash_asterisk(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rslash_asterisk*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr1();
     return;}
    case rhs1_R2slash_:{
       R2slash* sym;
     if(re->rule_ == 0){
       sym = new R2slash(parser__);
       re->rule_ = sym;
     }else{
       sym = (R2slash*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr1();
     return;}
    default: return;
   }
}
